com.tibbo.aggregate.common.expression

## Class DefaultAttributedObject

- java.lang.Object
- - com.tibbo.aggregate.common.expression.DefaultAttributedObject

- All Implemented Interfaces:
    AttributedObject

      public class DefaultAttributedObject
      extends java.lang.Object
      implements AttributedObject

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultAttributedObject(java.lang.Object value)`
    `DefaultAttributedObject(java.lang.Object value, java.util.Date timestamp, java.lang.Integer quality)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Integer` | `getQuality()`
    `java.util.Date` | `getTimestamp()`
    `java.lang.Object` | `getValue()`
    `void` | `setQuality(java.lang.Integer quality)`
    `void` | `setTimestamp(java.util.Date timestamp)`
    `void` | `setValue(java.lang.Object value)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultAttributedObject

          public DefaultAttributedObject(java.lang.Object value)

    - #### DefaultAttributedObject

          public DefaultAttributedObject(java.lang.Object value,
                                         java.util.Date timestamp,
                                         java.lang.Integer quality)

  - ### Method Detail

    - #### getValue

          public java.lang.Object getValue()

      Specified by:
        `getValue` in interface `AttributedObject`

    - #### setValue

          public void setValue(java.lang.Object value)

    - #### getTimestamp

          public java.util.Date getTimestamp()

      Specified by:
        `getTimestamp` in interface `AttributedObject`

    - #### setTimestamp

          public void setTimestamp(java.util.Date timestamp)

      Specified by:
        `setTimestamp` in interface `AttributedObject`

    - #### getQuality

          public java.lang.Integer getQuality()

      Specified by:
        `getQuality` in interface `AttributedObject`

    - #### setQuality

          public void setQuality(java.lang.Integer quality)

      Specified by:
        `setQuality` in interface `AttributedObject`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`